#
# Copyright (c) 2012 Bucknell University
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation;
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Author: L. Felipe Perrone (perrone@bucknell.edu)
#
#!/usr/bin/perl

$numNodes   = $ARGV[0];
$probReboot = $ARGV[1];
$mobSeed    = $ARGV[2];
$appSeed    = $ARGV[3];
$bitRate    = $ARGV[4];
$sessLength = $ARGV[5];
$packetSize = $ARGV[6];
$onLength   = $ARGV[7];
$offLength  = $ARGV[8];
$jitter     = $ARGV[9];
$indml      = $ARGV[10];
$outdml     = $ARGV[11];

if ($#ARGV < 9) {
    die("Error: expected 10 parameters.");
}

print "numNodes   = $numNodes\n";
print "probReboot = $probReboot\n";
print "mobSeed    = $mobSeed\n";
print "appSeed    = $appSeed\n";
print "bitRate    = $bitRate\n";
print "sessLength = $sessLength\n";
print "packetSize = $packetSize\n";
print "onLength   = $onLength\n";
print "offLength  = $offLength\n";
print "jitter     = $jitter\n";
print "indml      = $indml\n";
print "outdml     = $outdml\n\n";

open(INPUT_FILE,"<$indml") ||
    die("Error: Cannot open $indml file for reading.");

open(OUTPUT_FILE, ">$outdml") ||
    die("Error: Cannot open $outdml file for writing.");

while(<INPUT_FILE>) {

    s/NUMNODES/$numNodes/;
    s/ATTACKPROB/$probReboot/;
    s/MOBSEED/$mobSeed/;
    s/APPSEED/$appSeed/;
    s/BITRATE/$bitRate/;
    s/SESSLEN/$sessLength/;
    s/PACKETSIZE/$packetSize/;
    s/ONLENGTH/$onLength/;
    s/OFFLENGTH/$offLength/;
    s/ATTACKJITTER/$jitter/;

    print(OUTPUT_FILE);
}

close(OUTPUT_FILE);
close(INPUT_FILE);
