from twisted.python import util
from twisted.enterprise import adbapi
from twisted.application import service, internet
from nevow import appserver
from nevow import rend
from safe.webmanager.home import FakeRoot
from ConfigParser import ConfigParser
from yoyo.migrate.connections import parse_uri

config = ConfigParser()
config.read(util.sibpath(__file__, 'config/server'))
dburi = config.get('DEVELOPMENT','dburi')

_, user, password, host, port, database = parse_uri(dburi)

if password is None:
    password = ""

if port is None:
    port = 5432

dbpool = adbapi.ConnectionPool("psycopg2",
        host = host,
        database = database,
        port = port,
        password = password,
        user = user)

application = service.Application("webmanager")
port = 8080
resource = FakeRoot(dbpool,application)
site = appserver.NevowSite(resource)
webservice = internet.TCPServer(port,site)
webservice.setName("web manager")
webservice.setServiceParent(application)
