from zope.interface import implements

from twisted.application import service, strports
from twisted.web import http

from nevow import appserver, context, inevow, loaders, rend, static, tags as t, url
from nevow.loaders import stan
from nevow.stan import directive

from safe.webmanager.template import TemplatedPage, ITemplatedPage

# Inspired by http://divmod.org/trac/wiki/DivmodNevow/ErrorHandling

class The404Page(TemplatedPage):
    implements(inevow.ICanHandleNotFound)

    page_title = "404 Error!"

    def render_content(self,ctx,data):
        return stan([
            t.p(render=directive("lastLink")),
        ])

    def renderHTTP_notFound(self, ctx):
        return self.renderHTTP(ctx)
    
    def render_lastLink(self, ctx, data):
        referer = inevow.IRequest(ctx).getHeader('referer')
        if referer:
            return t.p[t.a(href=referer)['This link'],
                       ' will return you to the last page you were on.']
        else:
            return t.p['You seem to be hopelessly lost.']
