from django.contrib import admin
from safe.models import Experiment, Factor

class FactorInline(admin.StackedInline):
    model = Factor
    extra = 0

class ExpAdmin(admin.ModelAdmin):
    fieldsets = [
        (None, {'fields': ['name']}),
        ('Date created', {'fields':['create_date'], 'classes': ['collapse']}),
    ]
    inlines = [FactorInline]

admin.site.register(Experiment, ExpAdmin)

