# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Removing M2M table for field levels on 'DesignPoint'
        db.delete_table(db.shorten_name(u'safe_designpoint_levels'))

        # Removing M2M table for field exp_description_access on 'User'
        db.delete_table(db.shorten_name(u'safe_user_exp_description_access'))

        # Removing M2M table for field installation_access on 'User'
        db.delete_table(db.shorten_name(u'safe_user_installation_access'))

        # Removing M2M table for field experiment_access on 'User'
        db.delete_table(db.shorten_name(u'safe_user_experiment_access'))

        # Adding field 'Experiment.public'
        db.add_column(u'safe_experiment', 'public',
                      self.gf('django.db.models.fields.BooleanField')(default=True),
                      keep_default=False)

        # Adding field 'Level.design_point'
        db.add_column(u'safe_level', 'design_point',
                      self.gf('django.db.models.fields.related.ForeignKey')(default=1, to=orm['safe.DesignPoint']),
                      keep_default=False)

        # Adding field 'ExpDescription.public'
        db.add_column(u'safe_expdescription', 'public',
                      self.gf('django.db.models.fields.BooleanField')(default=True),
                      keep_default=False)


    def backwards(self, orm):
        # Adding M2M table for field levels on 'DesignPoint'
        m2m_table_name = db.shorten_name(u'safe_designpoint_levels')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('designpoint', models.ForeignKey(orm[u'safe.designpoint'], null=False)),
            ('level', models.ForeignKey(orm[u'safe.level'], null=False))
        ))
        db.create_unique(m2m_table_name, ['designpoint_id', 'level_id'])

        # Adding M2M table for field exp_description_access on 'User'
        m2m_table_name = db.shorten_name(u'safe_user_exp_description_access')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('user', models.ForeignKey(orm[u'safe.user'], null=False)),
            ('expdescription', models.ForeignKey(orm[u'safe.expdescription'], null=False))
        ))
        db.create_unique(m2m_table_name, ['user_id', 'expdescription_id'])

        # Adding M2M table for field installation_access on 'User'
        m2m_table_name = db.shorten_name(u'safe_user_installation_access')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('user', models.ForeignKey(orm[u'safe.user'], null=False)),
            ('installation', models.ForeignKey(orm[u'safe.installation'], null=False))
        ))
        db.create_unique(m2m_table_name, ['user_id', 'installation_id'])

        # Adding M2M table for field experiment_access on 'User'
        m2m_table_name = db.shorten_name(u'safe_user_experiment_access')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('user', models.ForeignKey(orm[u'safe.user'], null=False)),
            ('experiment', models.ForeignKey(orm[u'safe.experiment'], null=False))
        ))
        db.create_unique(m2m_table_name, ['user_id', 'experiment_id'])

        # Deleting field 'Experiment.public'
        db.delete_column(u'safe_experiment', 'public')

        # Deleting field 'Level.design_point'
        db.delete_column(u'safe_level', 'design_point_id')

        # Deleting field 'ExpDescription.public'
        db.delete_column(u'safe_expdescription', 'public')


    models = {
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        u'auth.permission': {
            'Meta': {'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'unique_together': "((u'content_type', u'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'safe.booleanfactor': {
            'Meta': {'object_name': 'BooleanFactor', '_ormbases': [u'safe.Factor']},
            'default': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            u'factor_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['safe.Factor']", 'unique': 'True', 'primary_key': 'True'})
        },
        u'safe.booleanlevel': {
            'Meta': {'object_name': 'BooleanLevel', '_ormbases': [u'safe.Level']},
            u'level_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['safe.Level']", 'unique': 'True', 'primary_key': 'True'}),
            'value': ('django.db.models.fields.BooleanField', [], {'default': 'False'})
        },
        u'safe.booleanresult': {
            'Meta': {'object_name': 'BooleanResult'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'metric': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.Metric']"}),
            'simulation_run': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.SimulationRun']"}),
            'time': ('django.db.models.fields.FloatField', [], {}),
            'value': ('django.db.models.fields.BooleanField', [], {'default': 'False'})
        },
        u'safe.designpoint': {
            'Meta': {'object_name': 'DesignPoint'},
            'experiment': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.Experiment']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'safe.expdescription': {
            'Meta': {'object_name': 'ExpDescription'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'installation': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.Installation']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'owner': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'public': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'script': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'safe.experiment': {
            'Meta': {'object_name': 'Experiment'},
            'create_date': ('django.db.models.fields.DateTimeField', [], {}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'exp_description': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.ExpDescription']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'owner': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'public': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'replications': ('django.db.models.fields.IntegerField', [], {})
        },
        u'safe.factor': {
            'Meta': {'object_name': 'Factor'},
            'exp_description': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.ExpDescription']"}),
            'help': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '40'})
        },
        u'safe.floatfactor': {
            'Meta': {'object_name': 'FloatFactor', '_ormbases': [u'safe.Factor']},
            'default': ('django.db.models.fields.FloatField', [], {}),
            u'factor_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['safe.Factor']", 'unique': 'True', 'primary_key': 'True'}),
            'maximum': ('django.db.models.fields.FloatField', [], {}),
            'minimum': ('django.db.models.fields.FloatField', [], {})
        },
        u'safe.floatlevel': {
            'Meta': {'object_name': 'FloatLevel', '_ormbases': [u'safe.Level']},
            u'level_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['safe.Level']", 'unique': 'True', 'primary_key': 'True'}),
            'value': ('django.db.models.fields.FloatField', [], {})
        },
        u'safe.floatresult': {
            'Meta': {'object_name': 'FloatResult'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'metric': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.Metric']"}),
            'simulation_run': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.SimulationRun']"}),
            'time': ('django.db.models.fields.FloatField', [], {}),
            'value': ('django.db.models.fields.FloatField', [], {})
        },
        u'safe.installation': {
            'Meta': {'object_name': 'Installation'},
            'description': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'owner': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'public': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'simulator_folder': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'tarball_path': ('django.db.models.fields.files.FileField', [], {'max_length': '100'})
        },
        u'safe.integerfactor': {
            'Meta': {'object_name': 'IntegerFactor', '_ormbases': [u'safe.Factor']},
            'default': ('django.db.models.fields.IntegerField', [], {}),
            u'factor_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['safe.Factor']", 'unique': 'True', 'primary_key': 'True'}),
            'maximum': ('django.db.models.fields.IntegerField', [], {}),
            'minimum': ('django.db.models.fields.IntegerField', [], {})
        },
        u'safe.integerlevel': {
            'Meta': {'object_name': 'IntegerLevel', '_ormbases': [u'safe.Level']},
            u'level_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['safe.Level']", 'unique': 'True', 'primary_key': 'True'}),
            'value': ('django.db.models.fields.IntegerField', [], {})
        },
        u'safe.integerresult': {
            'Meta': {'object_name': 'IntegerResult'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'metric': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.Metric']"}),
            'simulation_run': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.SimulationRun']"}),
            'time': ('django.db.models.fields.FloatField', [], {}),
            'value': ('django.db.models.fields.IntegerField', [], {})
        },
        u'safe.level': {
            'Meta': {'object_name': 'Level'},
            'design_point': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.DesignPoint']"}),
            'experiment': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.Experiment']"}),
            'factor': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.Factor']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'safe.metric': {
            'Meta': {'object_name': 'Metric'},
            'data_type': ('django.db.models.fields.CharField', [], {'default': "'double'", 'max_length': '20'}),
            'exp_description': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.ExpDescription']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'units': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        u'safe.simulationrun': {
            'Meta': {'object_name': 'SimulationRun'},
            'design_point': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.DesignPoint']"}),
            'end_time': ('django.db.models.fields.DateTimeField', [], {'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'isFinished': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'start_time': ('django.db.models.fields.DateTimeField', [], {}),
            'success': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'worker': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.Worker']"})
        },
        u'safe.user': {
            'Meta': {'object_name': 'User', '_ormbases': [u'auth.User']},
            'is_Power': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            u'user_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['auth.User']", 'unique': 'True', 'primary_key': 'True'})
        },
        u'safe.worker': {
            'Meta': {'object_name': 'Worker'},
            'auth_key': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'connected': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'host': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'path': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        }
    }

    complete_apps = ['safe']