# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Deleting model 'BooleanLevel'
        db.delete_table(u'safe_booleanlevel')

        # Deleting model 'BooleanFactor'
        db.delete_table(u'safe_booleanfactor')

        # Deleting model 'FloatLevel'
        db.delete_table(u'safe_floatlevel')

        # Deleting model 'FloatFactor'
        db.delete_table(u'safe_floatfactor')

        # Deleting model 'FloatResult'
        db.delete_table(u'safe_floatresult')

        # Deleting model 'IntegerFactor'
        db.delete_table(u'safe_integerfactor')

        # Deleting model 'IntegerLevel'
        db.delete_table(u'safe_integerlevel')

        # Deleting model 'BooleanResult'
        db.delete_table(u'safe_booleanresult')

        # Deleting model 'IntegerResult'
        db.delete_table(u'safe_integerresult')

        # Adding model 'ResultSet'
        db.create_table(u'safe_resultset', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('metric', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['safe.Metric'])),
            ('simulation_run', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['safe.SimulationRun'])),
            ('time', self.gf('django.db.models.fields.FloatField')()),
        ))
        db.send_create_signal(u'safe', ['ResultSet'])

        # Adding model 'DoubleData'
        db.create_table(u'safe_doubledata', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=1, db_index=True)),
            ('code', self.gf('django.db.models.fields.IntegerField')(db_index=True)),
            ('value', self.gf('django.db.models.fields.FloatField')()),
        ))
        db.send_create_signal(u'safe', ['DoubleData'])

        # Adding model 'IntegerData'
        db.create_table(u'safe_integerdata', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=1, db_index=True)),
            ('code', self.gf('django.db.models.fields.IntegerField')(db_index=True)),
            ('value', self.gf('django.db.models.fields.IntegerField')()),
        ))
        db.send_create_signal(u'safe', ['IntegerData'])

        # Adding model 'DoubleDoubleData'
        db.create_table(u'safe_doubledoubledata', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=1, db_index=True)),
            ('code', self.gf('django.db.models.fields.IntegerField')(db_index=True)),
            ('value', self.gf('django.db.models.fields.FloatField')()),
            ('value2', self.gf('django.db.models.fields.FloatField')()),
        ))
        db.send_create_signal(u'safe', ['DoubleDoubleData'])

        # Adding model 'BooleanData'
        db.create_table(u'safe_booleandata', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=1, db_index=True)),
            ('code', self.gf('django.db.models.fields.IntegerField')(db_index=True)),
            ('value', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal(u'safe', ['BooleanData'])


    def backwards(self, orm):
        # Adding model 'BooleanLevel'
        db.create_table(u'safe_booleanlevel', (
            (u'level_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['safe.Level'], unique=True, primary_key=True)),
            ('value', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal(u'safe', ['BooleanLevel'])

        # Adding model 'BooleanFactor'
        db.create_table(u'safe_booleanfactor', (
            ('default', self.gf('django.db.models.fields.BooleanField')(default=False)),
            (u'factor_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['safe.Factor'], unique=True, primary_key=True)),
        ))
        db.send_create_signal(u'safe', ['BooleanFactor'])

        # Adding model 'FloatLevel'
        db.create_table(u'safe_floatlevel', (
            (u'level_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['safe.Level'], unique=True, primary_key=True)),
            ('value', self.gf('django.db.models.fields.FloatField')()),
        ))
        db.send_create_signal(u'safe', ['FloatLevel'])

        # Adding model 'FloatFactor'
        db.create_table(u'safe_floatfactor', (
            ('default', self.gf('django.db.models.fields.FloatField')()),
            (u'factor_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['safe.Factor'], unique=True, primary_key=True)),
            ('minimum', self.gf('django.db.models.fields.FloatField')()),
            ('maximum', self.gf('django.db.models.fields.FloatField')()),
        ))
        db.send_create_signal(u'safe', ['FloatFactor'])

        # Adding model 'FloatResult'
        db.create_table(u'safe_floatresult', (
            ('metric', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['safe.Metric'])),
            ('value', self.gf('django.db.models.fields.FloatField')()),
            ('time', self.gf('django.db.models.fields.FloatField')()),
            ('simulation_run', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['safe.SimulationRun'])),
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
        ))
        db.send_create_signal(u'safe', ['FloatResult'])

        # Adding model 'IntegerFactor'
        db.create_table(u'safe_integerfactor', (
            ('default', self.gf('django.db.models.fields.IntegerField')()),
            (u'factor_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['safe.Factor'], unique=True, primary_key=True)),
            ('minimum', self.gf('django.db.models.fields.IntegerField')()),
            ('maximum', self.gf('django.db.models.fields.IntegerField')()),
        ))
        db.send_create_signal(u'safe', ['IntegerFactor'])

        # Adding model 'IntegerLevel'
        db.create_table(u'safe_integerlevel', (
            (u'level_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['safe.Level'], unique=True, primary_key=True)),
            ('value', self.gf('django.db.models.fields.IntegerField')()),
        ))
        db.send_create_signal(u'safe', ['IntegerLevel'])

        # Adding model 'BooleanResult'
        db.create_table(u'safe_booleanresult', (
            ('metric', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['safe.Metric'])),
            ('value', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('time', self.gf('django.db.models.fields.FloatField')()),
            ('simulation_run', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['safe.SimulationRun'])),
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
        ))
        db.send_create_signal(u'safe', ['BooleanResult'])

        # Adding model 'IntegerResult'
        db.create_table(u'safe_integerresult', (
            ('metric', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['safe.Metric'])),
            ('value', self.gf('django.db.models.fields.IntegerField')()),
            ('time', self.gf('django.db.models.fields.FloatField')()),
            ('simulation_run', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['safe.SimulationRun'])),
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
        ))
        db.send_create_signal(u'safe', ['IntegerResult'])

        # Deleting model 'ResultSet'
        db.delete_table(u'safe_resultset')

        # Deleting model 'DoubleData'
        db.delete_table(u'safe_doubledata')

        # Deleting model 'IntegerData'
        db.delete_table(u'safe_integerdata')

        # Deleting model 'DoubleDoubleData'
        db.delete_table(u'safe_doubledoubledata')

        # Deleting model 'BooleanData'
        db.delete_table(u'safe_booleandata')


    models = {
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        u'auth.permission': {
            'Meta': {'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'unique_together': "((u'content_type', u'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'safe.booleandata': {
            'Meta': {'object_name': 'BooleanData'},
            'code': ('django.db.models.fields.IntegerField', [], {'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '1', 'db_index': 'True'}),
            'value': ('django.db.models.fields.BooleanField', [], {'default': 'False'})
        },
        u'safe.designpoint': {
            'Meta': {'object_name': 'DesignPoint'},
            'experiment': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.Experiment']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'safe.doubledata': {
            'Meta': {'object_name': 'DoubleData'},
            'code': ('django.db.models.fields.IntegerField', [], {'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '1', 'db_index': 'True'}),
            'value': ('django.db.models.fields.FloatField', [], {})
        },
        u'safe.doubledoubledata': {
            'Meta': {'object_name': 'DoubleDoubleData'},
            'code': ('django.db.models.fields.IntegerField', [], {'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '1', 'db_index': 'True'}),
            'value': ('django.db.models.fields.FloatField', [], {}),
            'value2': ('django.db.models.fields.FloatField', [], {})
        },
        u'safe.expdescription': {
            'Meta': {'object_name': 'ExpDescription'},
            'description': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'installation': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.Installation']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'owner': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'public': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'script': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'safe.experiment': {
            'Meta': {'object_name': 'Experiment'},
            'create_date': ('django.db.models.fields.DateTimeField', [], {}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'exp_description': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.ExpDescription']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'owner': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'public': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'replications': ('django.db.models.fields.IntegerField', [], {})
        },
        u'safe.factor': {
            'Meta': {'object_name': 'Factor'},
            'description': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'exp_description': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.ExpDescription']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '40'}),
            'visible': ('django.db.models.fields.BooleanField', [], {'default': 'True'})
        },
        u'safe.installation': {
            'Meta': {'object_name': 'Installation'},
            'description': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'owner': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'public': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'simulator_folder': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'tarball_path': ('django.db.models.fields.files.FileField', [], {'max_length': '100'})
        },
        u'safe.integerdata': {
            'Meta': {'object_name': 'IntegerData'},
            'code': ('django.db.models.fields.IntegerField', [], {'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '1', 'db_index': 'True'}),
            'value': ('django.db.models.fields.IntegerField', [], {})
        },
        u'safe.level': {
            'Meta': {'object_name': 'Level'},
            'design_point': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.DesignPoint']"}),
            'experiment': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.Experiment']"}),
            'factor': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.Factor']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'safe.metric': {
            'Meta': {'object_name': 'Metric'},
            'data_type': ('django.db.models.fields.CharField', [], {'default': "'double'", 'max_length': '20'}),
            'exp_description': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.ExpDescription']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'units': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        u'safe.resultset': {
            'Meta': {'object_name': 'ResultSet'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'metric': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.Metric']"}),
            'simulation_run': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.SimulationRun']"}),
            'time': ('django.db.models.fields.FloatField', [], {})
        },
        u'safe.simulationrun': {
            'Meta': {'object_name': 'SimulationRun'},
            'design_point': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.DesignPoint']"}),
            'end_time': ('django.db.models.fields.DateTimeField', [], {'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'isFinished': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'start_time': ('django.db.models.fields.DateTimeField', [], {}),
            'success': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'worker': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['safe.Worker']"})
        },
        u'safe.worker': {
            'Meta': {'object_name': 'Worker'},
            'auth_key': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'connected': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'host': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'path': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        }
    }

    complete_apps = ['safe']