from rest_framework import permissions

class IsOwnerOrPublic(permissions.BasePermission):
  """
  Custom permission for SAFE framework
  """

  def has_object_permission(self, request, view, obj):
    is_owner = obj.owner == request.user
    
    #Public permission
    if request.method in permissions.SAFE_METHODS:
      return is_owner or obj.public
    
    #Write only for owner
    return is_owner
