/**
 * Functions for loading factors from the data base
 * in various ways
 */

safe.loader.factors = {};
safe.loader.factors.byExperiment = safe_loader_factors_byExperiment;

/**
 * Retrieves all factors associated with the specified experiment
 * Data is of the form [{"id":<id>, "type":<type>, "name":<factor_name>, "description":<factor_description>}, ...]
 *
 * @param experimentId The id of the desired experiment
 * @param callBack A function to be called after the data has been read. "callBack(data)"
 */
function safe_loader_factors_byExperiment(experimentId, callBack){
    d3.json("/safe/exp/" + experimentId + "/factors/", function(error, data){
        if(error){ console.warn(error) }

        callBack(data);
    });
}
