/**
 * Functions for loading metrics from the data base
 * in various ways
 */

safe.loader.metrics = {};
safe.loader.metrics.byExperiment = safe_loader_metrics_byExperiment;

/**
 * Retrieves all metrics associated with the specified experiment
 * Data is of the form [{"units": <units>, "type": <type>, "id":<id>, "name":<name>}, ...]
 *
 * @param experimentId The exeperiment from which to retrieve the data
 * @param callBack A function to be called after the data has been read. "callBack(data)"
 */
function safe_loader_metrics_byExperiment(experimentId, callBack){
    d3.json("/safe/exp/" + experimentId + "/metrics/", function(error, data){
        if(error){ console.warn(error) }
        
        callBack(data);
    });
}
