safe.loader.results = {};
safe.loader.results.bySimrunAndMetric = safe_loader_results_bySimrunAndMetric;
safe.loader.results.byDesignpointAndMetric = safe_loader_results_byDesignpointAndMetric;
safe.loader.results.byTimeGroup = safe_loader_results_byTimeGroup;

/*
safe.loader.results.default = safe_loader_results_default;
safe.loader.results.bySimrun = safe_loader_results_bySimrun;
safe.loader.results.byExperiment = safe_loader_results_byExperiment;
safe.loader.results.byMetric = safe_loader_results_byMetric;
safe.loader.results.byDesignpoint = safe_loader_results_byDesignpoint;
safe.loader.formatQueryParameters =  safe_loader_formatQueryParameters;
*/

function safe_loader_results_bySimrunAndMetric(simrunId, metrics, queryParameters, callBack){
    if(metrics instanceof Array){
        queryParameters += "metrics="
        metrics.forEach(function(metric){ parameters += metric + "," });
        d3.json("/safe/simrun/" + simrunId + "/results/" + queryParameters, function(error, data){
            if(error){console.warn(error) } 

            callBack(data);
        });
    } else{
        d3.json("/safe/simrun/" + simrunId + "/metric/" + metrics + "/results/" + queryParameters, function(error, data){
            if(error){ console.warn(error) }

            callBack(data);
        });
    }
}

function safe_loader_results_byDesignpointAndMetric(designpointId, metricId, queryParameters, callBack){
    var parameters = "?metrics=";
    metrics.forEach(function(metric){ parameters += metric + "," });
    if(queryParameters){
        Object.keys(queryParameters).forEach(function(key){
            parameters += "&" + key + "=" + queryParameters[key];
        });
    }

    d3.json("/safe/designpoint/" + designpointId + "/metric/" + metricId + "/results/" + parameters, function(error, data){
        if(error){ console.warn(error) }

        callBack(data);
    });
}

function safe_loader_results_byTimeGroup(simrunId, queryParameters, callBack){
    var parameters = "";
    if(queryParameters){
        parameters = "?";
        Object.keys(queryParameters).forEach(function(key, index){
            if(index > 0){ parameters += "&" }
            parameters += key + "=" + queryParameters[key];
        });
    }
    d3.json("/safe/simrun/" + simrunId + "/results/" + parameters, function(error, data){
        if(error){ console.warn(error) }

        callBack(data);
    });
}

/*
function safe_loader_results_default(param){
    if(param.experiment && param.factor && param.metric){
        safe.loader.results.byExperiment(param.experiment, param);
    }else if(param.designpoint && param.metric){
        safe.loader.results.byDesignpoint(param.designpoint, param);
    }else if(param.simrun){
        safe.loader.results.bySimrun(param.simrun, param);
    }else if(param.metric){
        safe.loader.results.byMetric(param.metric, param);
    }
}

function safe_loader_results_bySimrun(simrun, param){
    if(!param.callBack){ return }

    if(!param.metric){
        var queryParam = safe.loader.formatQueryParameters(param.queryParameters);
        d3.json("/safe/simrun/" + simrun + "/results/" + queryParam, function(error, data){
            if(error){ console.warn(error) }

            param.callBack(data);
        });
    }else if(!param.metric.length){
        var queryParam = safe.loader.formatQueryParameters(param.queryParameters);
        d3.json("/safe/simrun/" + simrun + "/metric/" + param.metric + "/results/" + queryParam, function(error, data){
            if(error){ console.warn(error) }

            param.callBack(data);
        });
    }else{
        for(var queryParam in param.metric){ param.queryParameters[queryParam] = param.metric[queryParam] }
        var queryParam = safe.loader.formatQueryParameters(param.queryParameters);
        d3.json("/safe/simrun/" + simrun + "/results/" + queryParam, function(error, data){
            if(error){ console.warn(error) }

            param.callBack(data);
        });
    }
}

function safe_loader_results_byExperiment(experiment, param){
    var experiment, factor, metric, queryParam, factorDict, callBack;
    if(!param.callBack){ return }

    var queryParam = safe.loader.formatQueryParameters(param.queryParameters);
    d3.json("/safe/exp/" + experiment + "/factor/" + factor + "/metric/" + metric + "/results/" + queryParam, function(error, data){
        if(error){ console.warn(error) }

        param.callBack(data);
    });
}

function safe_loader_results_byDesignpoint(designpoint, param){
    if(!param.callBack){ return }

    var queryParam = safe.loader.formatQueryParameters(param.queryParameters);
    d3.json("/safe/designpoint/" + designpoint + "/metric/" + param.metric + "/results/" + queryParam, function(error, data){
        if(error){ console.warn(error) }

        param.callBack(data);
    });
}

function safe_loader_results_byMetric(metric, param){
    if(!param.callBack || !param.simruns){ return }

    var queryParam = safe.loader.formatQueryParameters(param.queryParameters);
    d3.json("/safe/metric/" + metric + "/results/")
      .post(JSON.stringify(param.simruns), function(error, data){
          if(error){ console.warn(error) }

          param.callBack(data);
    });
}

function safe_loader_formatQueryParameters(parameters){
    queryString = "?";
    d3.entries(parameters).forEach(function(d){
        queryString += d.key + "=" + d.value + "&";
    });
    return queryString;
}
*/
