safe.selector.factor_chooser = safe_selector_factor_chooser;

function safe_selector_factor_chooser(exp_id, callBack, parentElement){
    this.exp_id = exp_id;
    this.callBack = callBack;
    this.parent = safe.tools.d3Object(parentElement);

    this.dSelf = this.parent
        .append("div")
        .attr("class", "col-xs-3 navbar-header navbar-static-top affix")
        .style("outline", "solid 2px black")
        .style("margin-left", "0.25cm")
        .style("background", "white")
        .style("cursor", "move")
        .on("click", this.onMouseClick.bind(this))

    this.dSelf.append("label")
        .text("Select Graph to View")
        .attr("class", "h4 text-center col-xs-12")
        .style("pointer-events", "none");

	this.dSelf
		.append("button")
        .attr("class", "col-xs-6 btn btn-default")
		.text("Add Factor Graph")
		.on("click", this.addFactorGraph.bind(this));

    var div = this.dSelf.append("div")
        .attr("class", "col-xs-6");

    this.selectFactor = new safe.selector.factor(this.exp_id, undefined, div);
    this.selectFactor.readInitialData(this.initComponents.bind(this));
}

safe_selector_factor_chooser.prototype.initComponents = function(){
    this.selectFactor.initComponents();
}

safe_selector_factor_chooser.prototype.addFactorGraph = function(){
	this.callBack(this.getSelectedFactor());
}

safe_selector_factor_chooser.prototype.getSelectedFactor = function(){
	return this.selectFactor.getSelectedFactor();
}

safe_selector_factor_chooser.prototype.getFactorNumber = function(){
    return Object.keys(this.selectFactor.factorList).length
}

safe_selector_factor_chooser.prototype.onMouseMove = function(drag){
    if(drag == true){
        d3.select("body")
          .on("mousemove", function(){
              this.dSelf
                  .style("left", (d3.event.clientX - this.dSelf[0][0].offsetWidth/2 ) + "px")
                  .style("top", (d3.event.clientY - this.dSelf[0][0].offsetHeight/2 ) + "px");
               }.bind(this))
          .on("mouseup", function(){ this.onMouseMove(false) }.bind(this));
       
    }else{
        d3.select("body").on("mousemove", undefined);
    }
}

safe_selector_factor_chooser.prototype.onMouseClick= function(){
    if( d3.event.target == this.dSelf[0][0] ){
        if(this.mouseDrag == undefined || this.mouseDrag == false){
            this.mouseDrag = true;
            this.onMouseMove(true);
        }else{
            this.mouseDrag = false;
            this.onMouseMove(false);
        }
    }
}
