from django.conf.urls import patterns, url
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from visualization import views

urlpatterns = patterns(
    # Pages
    url(r'^home/', views.home),
    url(r'^create_experiment/', views.createExp),
    url(r'^visualizations/', views.visualizations),
    url(r'^status/', views.expStatus),
    url(r'^results/', views.results),
    url(r'^create_user/', views.createUser),
    url(r'^account/', views.account),

    # Page elements/templates to be used as one portion of a page
    url(r'^get_login/', views.getLogin),
    url(r'^get_login_dropdown/', views.getLoginDropdown),
    url(r'^get_create_user/', views.getCreateUser),
    url(r'^get_create_experiment/', views.getCreateExp),
    url(r'^get_select_experiment/', views.getSelectExp),
    url(r'^get_select_designpoint/', views.getSelectDesignpoint),
    url(r'^get_select_run/', views.getSelectRun),
    url(r'^get_select_metric/', views.getSelectMetric),

    # Context Actions
    url(r'^logout_action/', views.logoutAction),

    # Graphs
    url(r'^graph/(?P<graph_type>\w+)/$', views.genericGraph),
    
    # The default page
    url(r'', views.index),

    # General
    url(r'^query/$', views.query)

)

urlpatterns += staticfiles_urlpatterns()
